org.apache.cassandra.gms

## Class EndpointState

- java.lang.Object
- - org.apache.cassandra.gms.EndpointState

-     public class EndpointState
      extends java.lang.Object

  This abstraction represents both the HeartBeatState and the ApplicationState in an EndpointState instance. Any state for a given endpoint can be retrieved from this instance.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger`
    `static IVersionedSerializer<EndpointState>` | `serializer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionedValue` | `getApplicationState(ApplicationState key)`
    `java.util.Map<ApplicationState,VersionedValue>` | `getApplicationStateMap()` Deprecated.
    `long` | `getUpdateTimestamp()`
    `boolean` | `isAlive()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### serializer

          public static final IVersionedSerializer<EndpointState> serializer

  - ### Method Detail

    - #### getApplicationState

          public VersionedValue getApplicationState(ApplicationState key)

    - #### getApplicationStateMap

          @Deprecated
          public java.util.Map<ApplicationState,VersionedValue> getApplicationStateMap()

      Deprecated.
      TODO replace this with operations that don't expose private state

    - #### getUpdateTimestamp

          public long getUpdateTimestamp()

    - #### isAlive

          public boolean isAlive()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation